package logwire.core.bo.field;

import logwire.core.bo.object.BizObject;
import logwire.core.bo.list.BizList;

import java.lang.reflect.Field;
import java.util.Map;

/**
 * 一对多关系字段
 * @param <X>
 */
public interface BizItem<X extends BizObject> extends Iterable<X> {
    boolean isChanged();

    X findOne(String field, Object value);

    X findOne(Map<String, Field> fields);

    X create();

    X create(Map<String, Field> fields);

    BizList<X> find(String field, Object value);

    BizList<X> find(Map fields);

    BizList<X> findAll();
}
